backend:
  name: gitea
  repo: StartIT/mantelzorgwoning.info
  branch: main
  app_id: e259dcce-d5d7-48cc-a401-f458548c8e28
  base_url: https://git.start-it.nl
  auth_endpoint: /login/oauth/authorize
  api_root: /api/v1

media_folder: static/images
public_folder: /images

collections:
  - name: "homepage"
    label: "Homepage"
    file: "content/_index.md"
    fields:
      - { label: "Titel", name: "title", widget: "string" }

      # Banner-groep
      - label: "Banner"
        name: "banner"
        widget: "object"
        fields:
          - { label: "Titel", name: "title", widget: "string" }
          - { label: "Subtitel", name: "subtitle", widget: "text" }
          - { label: "Afbeelding", name: "image", widget: "image" }

      - label: "Banner-knop"
        name: "banner_button"
        widget: "object"
        fields:
          - { label: "Actief", name: "enable", widget: "boolean", default: true }
          - { label: "Label", name: "label", widget: "string" }
          - { label: "Link", name: "link", widget: "string" }

      # Call to Action
      - label: "Call to Action"
        name: "call_to_action"
        widget: "object"
        fields:
          - { label: "Actief", name: "enable", widget: "boolean", default: true }
          - { label: "Titel", name: "title", widget: "string" }
          - { label: "Afbeelding", name: "image", widget: "image" }
          - { label: "Content", name: "content", widget: "markdown" }
          - label: "Knop"
            name: "button"
            widget: "object"
            fields:
              - { label: "Actief", name: "enable", widget: "boolean", default: true }
              - { label: "Label", name: "label", widget: "string" }
              - { label: "Link", name: "link", widget: "string" }
